Skip to main content
POST
/
invitation-lists
/
create
curl --request POST \
  --url https://api.swoogo.com/api/v1/invitation-lists/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data event_id=4261 \
  --data 'name=test list cfs' \
  --data 'notes=random notes'
{
  "id": 34,
  "name": "test list update",
  "notes": "random notes",
  "module": "main",
  "reg_type_id": null,
  "package_id": null,
  "cfs_role_id": null,
  "created_at": "2025-10-06 20:49:50",
  "updated_at": "2025-10-06 21:10:41"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

application/x-www-form-urlencoded
event_id
integer
required

The ID of the event this invitation list belongs to

Example:

4261

name
string
required

The name of the invitation list

Example:

"test list cfs"

notes
string

Optional notes for the invitation list

Example:

"random notes"

Response

Create Object

id
integer
Example:

34

name
string
Example:

"test list update"

notes
string

Only included when fields parameter includes 'notes'

Example:

"random notes"

module
string | null

The module type ('main' or 'cfs') - only included when fields parameter includes 'module'

Example:

"main"

reg_type_id
integer | null

Only included when fields parameter includes 'reg_type_id'

Example:

null

package_id
integer | null

Only included when fields parameter includes 'package_id'

Example:

null

cfs_role_id
integer | null

Only included when fields parameter includes 'cfs_role_id'

Example:

null

created_at
string

Only included when fields parameter includes 'created_at'

Example:

"2025-10-06 20:49:50"

updated_at
string

Only included when fields parameter includes 'updated_at'

Example:

"2025-10-06 21:10:41"